*+--------------------------------------------------------------------
*+
*+ Source Module => c:\hmg.3.4.4\0\GradMenu\\GRADMENU.PRG
*+
*+    Copyright(C) 1983-2021 by Auge & Ohr
*+
*+    Functions: Procedure MAIN()
*+               Procedure PrepMenu()
*+               Procedure DODEVICE()
*+               Procedure NETCONNECT()
*+               Procedure NETDISCONNECT()
*+               Procedure ABOUT()
*+
*+    Reformatted by Click! 2.05.38 on Sep-2-2021 at  6:48 am
*+
*+--------------------------------------------------------------------

#include "HMG.CH"

MEMVAR _HMG_SYSDATA

*+--------------------------------------------------------------------
*+
*+    Procedure MAIN()
*+
*+--------------------------------------------------------------------
*+
PROCEDURE MAIN

   DEFINE WINDOW Win_1 ;
         AT 0, 0 ;
         WIDTH 1280 HEIGHT 1024 ;
         TITLE 'Demo Gradient Menu ' ;
         ON INIT PrepMenu() ;
         MAIN

      DEFINE MAIN MENU
         DEFINE POPUP "&Menu"
            MENUITEM "E&xit" ACTION Win_1.Release
            SEPARATOR
            MENUITEM "Dummy1" ACTION nil
            MENUITEM "Dummy2" ACTION nil
            MENUITEM "Dummy3" ACTION nil
            MENUITEM "Dummy4" ACTION nil
         END POPUP

         DEFINE POPUP "&Device"
            MENUITEM "&Device" ACTION nil
            SEPARATOR
            MENUITEM "Dummy5" ACTION nil
            MENUITEM "Dummy6" ACTION nil
            MENUITEM "Dummy7" ACTION nil
            MENUITEM "Dummy8" ACTION nil
         END POPUP

         DEFINE POPUP "&Network"
            MENUITEM "&Connect" ACTION nil
            SEPARATOR
            MENUITEM "&DisConnect" ACTION nil
         END POPUP

         DEFINE POPUP "&About"
            MENUITEM "&About" ACTION nil
            SEPARATOR
            MENUITEM "&Mail to author..." ;
                    ACTION ShellExecute( 0, "open", "rundll32.exe", ;
                    "url.dll,FileProtocolHandler " + ;
                    "mailto:Auge_Ohr@Web.DE" + ;
                    "&subject=HBFM%20" + "%20Feedback:" + ;
                    "&body=Hello%20World",, 1 )

         END POPUP

      END MENU

      DEFINE CONTEXT MENU OF Win_1
            MENUITEM "Dummy1" ACTION nil
            MENUITEM "Dummy2" ACTION nil
            MENUITEM "Dummy3" ACTION nil
            MENUITEM "Dummy4" ACTION nil
            SEPARATOR
            MENUITEM "Dummy5" ACTION nil
            MENUITEM "Dummy6" ACTION nil
            MENUITEM "Dummy7" ACTION nil
            MENUITEM "Dummy8" ACTION nil
      END MENU

   END WINDOW

   CENTER WINDOW Win_1
   ACTIVATE WINDOW Win_1

RETURN

*+--------------------------------------------------------------------
*+
*+    Procedure PrepMenu()
*+
*+    Called from ( gradmenu.prg )   1 - procedure main()
*+
*+--------------------------------------------------------------------
*+
PROCEDURE PrepMenu()

LOCAL nHWnd := GetFormHandle( "Win_1" )
// SetMenuBkGradient(hWnd, lSubMenu, RGB1, RGB2, nDirection, Wide, Height)
   SetMenuBkGradient( nHWnd, .T., { 255, 255, 255 }, { 56, 128, 192 }, 1 ,200,50)
*   SETPOPUPGRADIENT(nHWnd, .T.,{255,255,255}, {56,128,192},1,200,50)

RETURN

*
*+ EOF: GRADMENU.PRG
*